﻿using Connected.Annotations;
using Connected.Entities.Consistency;

namespace Connected.ServiceModel.Data;

public abstract record TableEntity<TPrimaryKey, TPartitionKey> : ConsistentEntity<TPrimaryKey>, ITableEntity<TPrimaryKey, TPartitionKey>
	where TPrimaryKey : notnull
	where TPartitionKey : notnull
{
	[Ordinal(-1)]
	public TPartitionKey PartitionKey { get; init; } = default!;
}
